# -*- coding: utf-8 -*-
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: ragmodel.proto
"""Generated protocol buffer code."""
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from google.protobuf import reflection as _reflection
from google.protobuf import symbol_database as _symbol_database
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()




DESCRIPTOR = _descriptor.FileDescriptor(
  name='ragmodel.proto',
  package='',
  syntax='proto3',
  serialized_options=None,
  create_key=_descriptor._internal_create_key,
  serialized_pb=b'\n\x0eragmodel.proto\"6\n\nUserInputs\x12\x12\n\nuser_query\x18\x01 \x01(\t\x12\x14\n\x0cusecase_data\x18\x02 \x01(\t\")\n\x0eGroundedOutput\x12\x17\n\x0fgrounded_output\x18\x01 \x01(\t24\n\x03Rag\x12-\n\rget_rag_model\x12\x0b.UserInputs\x1a\x0f.GroundedOutputb\x06proto3'
)




_USERINPUTS = _descriptor.Descriptor(
  name='UserInputs',
  full_name='UserInputs',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='user_query', full_name='UserInputs.user_query', index=0,
      number=1, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='usecase_data', full_name='UserInputs.usecase_data', index=1,
      number=2, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=18,
  serialized_end=72,
)


_GROUNDEDOUTPUT = _descriptor.Descriptor(
  name='GroundedOutput',
  full_name='GroundedOutput',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='grounded_output', full_name='GroundedOutput.grounded_output', index=0,
      number=1, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=74,
  serialized_end=115,
)

DESCRIPTOR.message_types_by_name['UserInputs'] = _USERINPUTS
DESCRIPTOR.message_types_by_name['GroundedOutput'] = _GROUNDEDOUTPUT
_sym_db.RegisterFileDescriptor(DESCRIPTOR)

UserInputs = _reflection.GeneratedProtocolMessageType('UserInputs', (_message.Message,), {
  'DESCRIPTOR' : _USERINPUTS,
  '__module__' : 'ragmodel_pb2'
  # @@protoc_insertion_point(class_scope:UserInputs)
  })
_sym_db.RegisterMessage(UserInputs)

GroundedOutput = _reflection.GeneratedProtocolMessageType('GroundedOutput', (_message.Message,), {
  'DESCRIPTOR' : _GROUNDEDOUTPUT,
  '__module__' : 'ragmodel_pb2'
  # @@protoc_insertion_point(class_scope:GroundedOutput)
  })
_sym_db.RegisterMessage(GroundedOutput)



_RAG = _descriptor.ServiceDescriptor(
  name='Rag',
  full_name='Rag',
  file=DESCRIPTOR,
  index=0,
  serialized_options=None,
  create_key=_descriptor._internal_create_key,
  serialized_start=117,
  serialized_end=169,
  methods=[
  _descriptor.MethodDescriptor(
    name='get_rag_model',
    full_name='Rag.get_rag_model',
    index=0,
    containing_service=None,
    input_type=_USERINPUTS,
    output_type=_GROUNDEDOUTPUT,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
])
_sym_db.RegisterServiceDescriptor(_RAG)

DESCRIPTOR.services_by_name['Rag'] = _RAG

# @@protoc_insertion_point(module_scope)
